// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "UIRectangle.hpp"

using namespace Dawn;

void UIRectangle::getSelfQuads(
  const struct UIAlign alignment,
  UICanvas &ctx
) {
  std::vector<struct UIShaderQuad> quads;
  ctx.addQuad(
    glm::vec4(alignment.position, alignment.position + size),
    uv,
    color,
    UIShaderQuadStyle::TEXTURED,
    texture
  );
}